Webdav: ezcWebdavPutRequest
[ ]
[ Clients ] [ Plugin architecture ]
[ ]
[ ]
[ ]
[ ]
Class: ezcWebdavPutRequest
|
Abstract representation of a PUT request. [
source]
An instance of this class represents the WebDAV PUT request.
Parents
ezcWebdavRequest
|
--ezcWebdavPutRequest
Inherited Constants
From
ezcWebdavRequest:
Properties
|
string |
read/write
|
$body
The request body of a PUT request. |
Inherited Member Variables
From
ezcWebdavRequest:
Method Summary
|
public void |
__construct(
$requestUri, $body )
Creates a new PUT request object. |
|
public void |
validateHeaders(
)
Validates the headers set in this request. |
Inherited Methods
From
ezcWebdavRequest :
Methods
__construct
void __construct(
string
$requestUri, string
$body )
Creates a new PUT request object.
The request object indicates, that the given $body should be stored in the resource identified by $requestUri.
Parameters
| Name |
Type |
Description |
$requestUri |
string |
|
$body |
string |
|
Redefinition of
validateHeaders
void validateHeaders(
)
Validates the headers set in this request.
This method validates that all required headers are available and that all feasible headers for this request have valid values.
Throws
| Class | Description |
ezcWebdavMissingHeaderException |
if a required header is missing. |
ezcWebdavInvalidHeaderException |
if a header is present, but its content does not validate. |
Redefinition of
Last updated: Mon, 09 Feb 2009